Subject: Can't reconnect to existing x2go session

From: "Koozer, Craig" <[email-masked]>
Date: Wed, 2 May 2018 21:51:42 +0000

Package: x2goagent
Version: 3.5.0.33

I'm having problems reconnecting to any existing sessions on a specific x2goserver instance from any client I've tried.  If I kill the existing session using x2goterminate-session and create a new one the new one connects with no problems, but if then I disconnect from it and attempt to re-connect (even from the same client), then again I get the same problem -- client does not connect, and message is displayed in client  "The remote proxy closed the connection while negotiating the session. This may be due to the wrong authentication credentials passed to the server.".

I believe this started happening after upgrading to latest client and server versions on the server, but downgrading the server version or clients connecting to server or both did not make the problem go away.  I also tried removing ~/.x2go and ~/.x2goclient directories on client and server and allow them to be recreated, but this did not change behavior.

I enabled debug from client and server, and have saved the complete log entries for /var/log/messages on server, and client out on reconnect if you think that would be helpful, but what I've included below is the only thing that looks like an error.  all other config settings are as installed, no other manual changes were made.

from x2goclient --debug std. out:

x2go-DEBUG-../src/sshprocess.cpp:372> Starting tunnel via SshProcess object 2: "localhost":59190 -> "localhost":60190

x2go-DEBUG-../src/onmainwindow.cpp:5612> "Starting NX proxy, command: nxproxy -S nx/nx,options=/home/ckoozer/.x2go/S-ckoozer-56-1525261822_stDXFCE_dp24/options:56"
x2go-DEBUG-../src/sshprocess.cpp:157> Direct tunnel: waiting for connections on "localhost":60190
x2go-DEBUG-../src/onmainwindow.cpp:6071> Proxy wrote on stderr: "
NXPROXY - Version 3.5.0

Copyright (C) 2001, 2010 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Proxy running in client mode with pid '3938'.
Session: Starting session at 'Wed May  2 11:48:25 2018'.
Info: Using abstract X11 socket in kernel namespace for accessing DISPLAY=:0.
"
x2go-DEBUG-../src/onmainwindow.cpp:6071> Proxy wrote on stderr: "Info: Connecting to remote host 'localhost:60190'.
Info: Connection to remote proxy 'localhost:60190' established.
"
x2go-DEBUG-../src/sshprocess.cpp:109> New TCP connection.
x2go-DEBUG-../src/sshprocess.cpp:114> New socket: 15
x2go-DEBUG-../src/sshmasterconnection.cpp:1517> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1521> New channel:0x7fb888015870

x2go-DEBUG-../src/sshmasterconnection.cpp:1527> Forwarding new channel, local port: 58952

x2go-DEBUG-../src/sshmasterconnection.cpp:1545> New channel forwarded.

x2go-DEBUG-../src/sshmasterconnection.cpp:1704> "channel_write failed." - "Remote channel is closed"

x2go-DEBUG-../src/sshprocess.cpp:463> I/O error: "channel_write failed."" - Remote channel is closed" (2).
x2go-DEBUG-../src/sshmasterconnection.cpp:1747> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1751> Channel closed.
x2go-DEBUG-../src/onmainwindow.cpp:6071> Proxy wrote on stderr: "Error: The remote NX proxy closed the connection.
"
x2go-DEBUG-../src/onmainwindow.cpp:6071> Proxy wrote on stderr: "Error: Failure negotiating the session in stage '7'.
Error: Wrong version or invalid session authentication cookie.
Session: Terminating session at 'Wed May  2 11:48:25 2018'.
Session: Session terminated at 'Wed May  2 11:48:25 2018'.
"
x2go-DEBUG-../src/onmainwindow.cpp:5928> Deleting Proxy.

Server details:

[ckoozer@ckoozer-linux ~]$ uname -a
Linux ckoozer-linux 3.10.0-862.el7.x86_64 #1 SMP Wed Apr 11 11:40:58 PDT 2018 x86_64 x86_64 x86_64 GNU/Linux
[ckoozer@ckoozer-linux ~]$ rpm -qa | grep nx
nxagent-3.5.0.33-4.el7.x86_64
nxproxy-3.5.0.33-4.el7.x86_64
lynx-2.8.8-0.3.dev15.el7.x86_64
inx-icon-theme-0.6-2.3.noarch
nx-libs-3.5.0.33-4.el7.x86_64
inxi-2.3.56-1.el7.noarch
[ckoozer@ckoozer-linux ~]$ rpm -qa | grep x2go
x2goserver-xsession-4.0.1.22-2.el7.x86_64
x2goagent-3.5.0.33-4.el7.x86_64
x2goclient-4.1.1.1-1.el7.x86_64
x2goserver-4.0.1.22-2.el7.x86_64

Client details (but same behavior from multiple clients and x2goclient versions, including windows client):
[ckoozer@ckoozer ~]$ uname -a
Linux ckoozer 4.15.16-200.fc26.x86_64 #1 SMP Mon Apr 9 17:49:29 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[ckoozer@ckoozer ~]$ rpm -qa | grep nx
nxagent-3.5.0.33-4.fc26.x86_64
nxproxy-3.5.0.33-4.fc26.x86_64
nx-libs-3.5.0.33-4.fc26.x86_64
[ckoozer@ckoozer ~]$ rpm -qa | grep x2go
x2goclient-4.1.0.0-1.fc26.x86_64   (same behavior with latest version of client as well)
x2goagent-3.5.0.33-4.fc26.x86_64
x2goserver-xsession-4.0.1.22-2.fc26.x86_64
x2goserver-4.0.1.22-2.fc26.x86_64

[ckoozer@ckoozer-linux ~]$ which nxagent
/usr/bin/nxagent
[ckoozer@ckoozer-linux ~]$ which x2goagent
/usr/bin/x2goagent
[ckoozer@ckoozer-linux ~]$ locate nxagent
/etc/nxagent
/etc/nxagent/keystrokes.cfg
/etc/nxagent/nxagent.keyboard
/etc/nxagent/rgb
/usr/bin/nxagent
/usr/lib64/nx/bin/nxagent
/usr/share/man/man1/nxagent.1.gz
/usr/share/pixmaps/nxagent.xpm
[ckoozer@ckoozer-linux ~]$ locate x2goagent
/etc/x2go/x2goagent.keyboard
/etc/x2go/x2goagent.options
/usr/bin/x2goagent
/usr/lib64/x2go/bin/x2goagent
/usr/share/man/man1/x2goagent.1.gz
/usr/share/x2go/versions/VERSION.x2goagent
[ckoozer@ckoozer-linux ~]$ which nxproxy
/usr/bin/nxproxy
[ckoozer@ckoozer-linux ~]$ locate nxproxy
/usr/bin/nxproxy
/usr/lib64/nx/bin/nxproxy
/usr/share/man/man1/nxproxy.1.gz
[ckoozer@ckoozer-linux ~]$ nxproxy -v
NXPROXY - Version 3.5.0.33

thanks!

[email-masked]<mailto:[email-masked]>